Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1883253 - CSV doesn't contain values required for UI to enable minimal deployment and cluster encryption
Summary: CSV doesn't contain values required for UI to enable minimal deployment and c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenShift Container Storage
Classification: Red Hat
Component: ocs-operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: OCS 4.6.0
Assignee: Bipul Adhikari
QA Contact: Oded
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-28 15:07 UTC by Bipul Adhikari
Modified: 2021-06-01 08:43 UTC (History)
6 users (show)

Fixed In Version: 4.6.0-106.ci
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-17 06:24:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
encryption_check_box (102.00 KB, image/png)
2020-10-19 09:39 UTC, Oded
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift ocs-operator pull 754 0 None closed Update CSV to enable Minimal Deployment and Encryption in UI 2020-10-29 06:22:47 UTC
Github openshift ocs-operator pull 787 0 None closed Bug 1883253: Update CSV to enable Minimal Deployment and Encryption in UI 2020-10-29 06:22:47 UTC
Red Hat Product Errata RHSA-2020:5605 0 None None None 2020-12-17 06:24:54 UTC

Description Bipul Adhikari 2020-09-28 15:07:23 UTC
Description of problem (please be detailed as possible and provide log
snippests):
"features.ocs.openshift.io/enabled" annotation doesn't contain values required for minimal deployment and cluster encryption via UI.

The values are "minimal_deployment", "encryption"

Version of all relevant components (if applicable): 4.6


Does this issue impact your ability to continue to work with the product
(please explain in detail what is the user impact)?


Is there any workaround available to the best of your knowledge? Manually update the CSV


Rate from 1 - 5 the complexity of the scenario you performed that caused this
bug (1 - very simple, 5 - very complex)?
1

Can this issue reproducible? 1/1


Can this issue reproduce from the UI?
Yes. If we go through Storage Cluster Installation the option for Cluster Encryption doesn't show up. 

If this is a regression, please provide more details to justify this:


Steps to Reproduce: (UI)
1. Go to OCS Op -> Create Storage Cluster


Actual results: No option seen for Encrypting Storage Cluster

Expected results: Option for Encrypting storage cluster should be shown. 


Additional info: When minimal nodes are selected an Alert for Minimal deployment should also be shown.

Comment 5 Neha Berry 2020-10-07 12:50:32 UTC
UI bug  - https://bugzilla.redhat.com/show_bug.cgi?id=1883847#c4

Comment 6 Oded 2020-10-19 09:37:51 UTC
Bug not reconstructed

Setup:
Provider:VSphere
OCP Version:4.6.0-0.nightly-2020-10-13-064047
OCS Version:ocs-operator.v4.6.0-131.ci

Test Process:
1.[UI]Got to: "Operators"->"Installed Operators"->"OpenShift Container Storage"->"Storage Clusters"
->"Create Storage Cluster"
2.Choose 3 Nodes
3.Encrypting storage cluster and Alert for Minimal deployment shown.
*attached screenshot


Note:
The warning message and the trigger for Minimal deployment is going to change.
https://bugzilla.redhat.com/show_bug.cgi?id=1886541
https://bugzilla.redhat.com/show_bug.cgi?id=1886823

Comment 7 Oded 2020-10-19 09:39:31 UTC
Created attachment 1722607 [details]
encryption_check_box

Comment 9 errata-xmlrpc 2020-12-17 06:24:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat OpenShift Container Storage 4.6.0 security, bug fix, enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5605


Note You need to log in before you can comment on or make changes to this bug.